---
title: Apprentissage par problème, la convolution
autoSectionLabels: true
autoEqnLabels: false
eqnPrefix: 
  - "éq."
  - "éqs."
chapters: false
numberSections: false
chaptersDepth: 1
sectionsDepth: 3
lang: fr
documentclass: article
papersize: A4
cref: false
pandoc-numbering:
  - category: exercice
urlcolor: blue
---

# Buts

- Étudier la convolution.
- Étudier le convolution numérique.
- Étudier une notion par apprentissage par problème.

# Apprentissage par problème 

Un apprentissage par problème est réalisé en plusieurs phases successives (ici 4), le but
étant que les étudiant·e·s apprennent à rechercher l’information par elles/eux-mêmes, qu’elles/ils échangent entre elles/eux afin de bien maîtriser cette notion, et enfin, dans une épreuve ou
un test, qu’elles/ils soient capables de montrer que la notion est acquise.

1. Le 7 novembre 2018: présentation du problème et organisation.
2. Entre le 7 novembre et le 14 novembre: travail individuel ou en groupes informels.
3. Le 14 novembre : discussion en 4 groupes organisés afin d’approfondir la notion et
d’institutionnaliser le résultat en présence du professeur.
4. Dans l’épreuve suivante, une question / un problème sera posé sur cette notion.

# Problème

A l’aide de lectures que vous ferez dans des livres ou sur internet, soit dans la liste ci-
dessous, soit en faisant vos recherches personnelles, étudier dans le détail la notion
de convolution, et en particulier trouvez des applications intéressantes. 

Vous devrez être capable d’exposer les problèmes que l’on peut résoudre
avec cette notion et donner des exemples.

Écrire un algorithme en pseudo-code de convolution pour une application particulière.

# Références

- <https://fr.wikipedia.org/wiki/Produit_de_convolution>
- <https://openclassrooms.com/fr/courses/4500266-analysez-les-signaux-1d/4507446-quest-ce-quune-convolution>
- <https://en.wikipedia.org/wiki/Kernel_(image_processing)>
- <http://www.songho.ca/dsp/convolution/convolution2d_example.html>
